Name:    kmplayer
Summary: A simple front-end for MPlayer/FFMpeg/Phonon
Version: 0.11.2c
Release: 1%{?dist}
Group:   Applications/Multimedia
# The documentation is GFDL.
# The files under src/moz-sdk are MPLv1.1 or GPLv2+ or LGPLv2+
# except src/moz-sdk/npruntime.h is BSD.
# The other source files carry GPL and LGPL licenses
# For instance:
# src/kmplayer.h is GPLv2+
# src/kmplayer_asx.cpp is LGPLv2
# src/kmplayer_atom.h is LGPLv2+
# and each of the other source files carry one of the above 3 licenses. So
#License: GFDL and (MPLv1.1 or GPLv2+ or LGPLv2+) and BSD and GPLv2+ and LGPLv2 and LGPLv2+
License: GFDL and GPLv2+
URL:     http://kmplayer.kde.org/
Source0: http://kmplayer.kde.org/pkgs/kmplayer-%{version}%{?beta}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# We don't want this weird invalid locale:
Patch2: kmplayer-no-xtest.patch
# default to using phonon (instead of mplayer)
Patch4: kmplayer-0.11.0a-kmplayerrc_phonon_default.patch


BuildRequires: cairo-devel
BuildRequires: dbus-devel 
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: expat-devel
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: kdelibs4-devel
BuildRequires: pango-devel
BuildRequires: phonon-devel

%description
KMPlayer, a simple front-end for MPlayer/FFMpeg/Phonon.
It can play DVD/VCD movies, from file or URL and from a video device.
KMPlayer can embed inside Konqueror. Which means if you click
on a movie file, the movie is played inside Konqueror.


%prep
%setup -q -n %{name}-%{version}%{?beta}
%patch2 -p1 -b .no-x-text
%patch4 -p1 -b .kmplayerrc_phonon_default


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
 -DWITH_EXPAT:BOOL=ON \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

## File lists
# locale's
%find_lang %{name} 
# HTML (1.0)
HTML_DIR=$(kde4-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

## unpackaged files
# oxygen conflicts
rm -f %{buildroot}%{_kde4_iconsdir}/oxygen/*/apps/kmplayer.*

# Desktop file
desktop-file-install \
   --dir=%{buildroot}/%{_kde4_datadir}/applications/kde4 \
   --add-category="Player" \
   %{buildroot}/%{_kde4_datadir}/applications/kde4/kmplayer.desktop

# Permission fix
chmod +x %{buildroot}/%{_kde4_datadir}/kde4/apps/kmplayer/find-media.sh

%clean
rm -rf %{buildroot}


%post
touch --no-create %{_kde4_iconsdir}hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
    gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null
    update-desktop-database -q &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
update-desktop-database -q &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING* README TODO
%{_kde4_bindir}/kmplayer
%{_kde4_bindir}/knpplayer
%{_kde4_bindir}/kphononplayer
%{_kde4_appsdir}/kmplayer/
%{_kde4_configdir}/kmplayerrc
%{_kde4_datadir}/applications/kde4/kmplayer.desktop
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/libkdeinit4_kmplayer.so
%{_kde4_libdir}/libkmplayercommon.so


%changelog
* Tue Oct 05 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.2c-1
- kmplayer-0.11.2c

* Tue May 11 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.2b-1
- kmplayer-0.11.2b

* Tue Mar 23 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.2a-1
- kmplayer-0.11.2a

* Fri Mar 05 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.2-1
- kmplayer-0.11.2
- Drop upstreamed dso linking patch

* Sat Feb 13 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.1b-4
- Fix DSO linking RHBZ#564937

* Thu Aug 06 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.1b-3
- Update the .desktop file

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1b-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.1b-1
- kmplayer-0.11.1b
- drop upstreamed patches

* Mon May 18 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.1a-1
- kmplayer-0.11.1a

* Mon May 11 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.1-1
- kmplayer-0.11.1
- drop upstreamed patches

* Tue Mar 24 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.11.0a-2
- default to using phonon engine (instead of mplayer)

* Tue Mar 24 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.0a-1
- kmplayer-0.11.0a (KDE4)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0c-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.10.0c-4
- Autorebuild for GCC 4.3

* Tue Jan 15 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 0.10.0c-3
- really include/use -icon patch

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 0.10.0c-2
- patch kmplayer.desktop: Icon=kmplayer

* Mon Jan 07 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 0.10.0c-1
- kmplayer-0.10.0c

* Wed Nov 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.10.0a-1
- kmplayer-0.10.0a

* Wed Oct 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.10.0-1
- kmplayer-0.10.0

* Wed Apr 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.4a-1
- kmplayer-0.9.4a
- +cairo support

* Wed Jan 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.3a-1
- kmplayer-0.9.3a

* Fri Sep 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-1
- 0.9.3

* Fri Jul 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.2-2.a
- 0.9.2a

* Mon Apr 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.2-1
- 0.9.2(final)

* Fri Apr 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.2-0.1.rc1
- 0.9.2-rc1

* Fri Nov 11 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.1-0.lvn.1
- 0.9.1

* Wed Mar 09 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.4-0.2.a.kde
- 0.8.4a

* Sat Jan 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-0.2.a.kde
- touchup x-mplayer2.deskop

* Fri Nov 19 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-0.1.a.kde
- 0.8.3a
